"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _recompose = require("recompose");

var _classnames = _interopRequireDefault(require("classnames"));

var _createConnectRedux = _interopRequireDefault(require("../../helpers/createConnectRedux"));

var _withFormStore = _interopRequireDefault(require("../../helpers/withFormStore"));

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

var listAction = {
  sendRequest: _utils.sendRequest,
  updateUrl: _utils.updateUrl,
  setLocalStorage: _utils.setLocalStorage
  /**
   * actions by button as setLocalStorage, updateUrl, sendRequest (xhr)
   * button sources props: [{ source: string ('redux' | 'local'), form: string }]
   * maybe updateUrl or sendRequest with multi data form get by getStories, merged by mergeStories
   * when setLocalStorage, need props name, should use form name
   */

};

function Button(_ref) {
  var className = _ref.className,
      name = _ref.name,
      type = _ref.type,
      sources = _ref.sources,
      options = _ref.options,
      behavior = _ref.behavior,
      formStore = _ref.formStore,
      children = _ref.children,
      _ref$tag = _ref.tag,
      Component = _ref$tag === void 0 ? 'div' : _ref$tag,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme,
      props = _objectWithoutProperties(_ref, ["className", "name", "type", "sources", "options", "behavior", "formStore", "children", "tag", "theme"]);

  var handle = listAction[type];
  var stories = (0, _utils.getStories)({
    sources: sources,
    formStore: formStore
  });

  var _ref2 = (0, _utils.getBehavior)(behavior || {}) || {},
      whenSuccess = _ref2.success,
      whenError = _ref2.error;

  return _react.default.createElement(Component, _extends({}, props, {
    "data-component": "Button",
    className: (0, _classnames.default)(theme.root, className),
    type: type,
    onClick: function onClick() {
      return handle && handle(_extends({}, options, {
        values: (0, _utils.mergeStories)(stories) || {},
        name: name,
        whenSuccess: whenSuccess,
        whenError: whenError
      }));
    }
  }), children);
}

var _default = (0, _recompose.compose)(_createConnectRedux.default, _withFormStore.default)(Button);

exports.default = _default;