"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _interpolate = _interopRequireDefault(require("interpolate"));

var _config = require("../../config");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var template = '//res.cloudinary.com/{cloud}/image/upload{transform}/{public_id}';
var defaultSteps = [{
  vw: 400,
  w: 400
}, {
  vw: 600,
  w: 600
}, {
  vw: 800,
  w: 800
}, {
  vw: 1000,
  w: 1000
}, {
  vw: 1200,
  w: 1200
}];

function makeSrcset(_ref) {
  var _ref$cloud = _ref.cloud,
      cloud = _ref$cloud === void 0 ? (0, _config.getCloudinaryUsername)() : _ref$cloud,
      steps = _ref.steps,
      quality = _ref.quality,
      public_id = _ref.public_id;
  return steps.map(function (_ref2) {
    var vw = _ref2.vw,
        w = _ref2.w;
    var size = vw;
    var src = (0, _interpolate.default)(template, {
      public_id: public_id,
      transform: "/w_".concat(w, ",q_").concat(quality),
      cloud: cloud
    });
    return {
      src: src,
      size: size
    };
  });
}

var CloudinaryImage =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(CloudinaryImage, _React$PureComponent);

  function CloudinaryImage(props) {
    var _this;

    _classCallCheck(this, CloudinaryImage);

    _this = _possibleConstructorReturn(this, (CloudinaryImage.__proto__ || Object.getPrototypeOf(CloudinaryImage)).call(this, props));

    var _this$props = _this.props,
        image = _this$props.image,
        steps = _this$props.steps,
        cloud = _this$props.cloud,
        quality = _this$props.quality,
        otherProps = _objectWithoutProperties(_this$props, ["image", "steps", "cloud", "quality"]);

    _this.otherProps = otherProps;
    _this.srcSet = makeSrcset({
      cloud: cloud,
      steps: steps,
      quality: quality,
      public_id: _this.props.image.public_id
    }).map(function (_ref3) {
      var src = _ref3.src,
          size = _ref3.size;
      return "".concat(src, " ").concat(size, "w");
    }).join(', ');
    _this.original = (0, _interpolate.default)(template, {
      public_id: _this.props.image.public_id,
      transform: '',
      cloud: cloud
    });
    return _this;
  }

  _createClass(CloudinaryImage, [{
    key: "render",
    value: function render() {
      var _otherProps = this.otherProps,
          alt = _otherProps.alt,
          rest = _objectWithoutProperties(_otherProps, ["alt"]);

      return _react.default.createElement("img", _extends({}, rest, {
        alt: alt,
        src: this.original,
        srcSet: this.srcSet
      }));
    }
  }]);

  return CloudinaryImage;
}(_react.default.PureComponent);

Object.defineProperty(CloudinaryImage, "defaultProps", {
  configurable: true,
  enumerable: true,
  writable: true,
  value: {
    quality: 'auto',
    steps: defaultSteps
    /* Calculate in constructor because we don't want srcSet to re-render */

  }
});
var _default = CloudinaryImage;
exports.default = _default;