"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Image = Image;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactProgressiveImage = _interopRequireDefault(require("react-progressive-image"));

var _getImageLink = _interopRequireDefault(require("../../helpers/getImageLink"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Image(_ref) {
  var image = _ref.image,
      alt = _ref.alt,
      title = _ref.title,
      className = _ref.className,
      size = _ref.size,
      props = _objectWithoutProperties(_ref, ["image", "alt", "title", "className", "size"]);

  var source = (0, _getImageLink.default)(_extends({}, image, {
    boxSize: size
  }));

  if (typeof source === 'string') {
    return _react.default.createElement("img", _extends({}, props, {
      src: source,
      className: className,
      alt: alt,
      title: title
    }));
  }

  var thumbnail = source.thumbnail,
      large = source.large;
  return _react.default.createElement(_reactProgressiveImage.default, {
    src: large,
    placeholder: thumbnail
  }, function (imageSource) {
    return _react.default.createElement("img", _extends({}, props, {
      className: className,
      src: imageSource,
      alt: alt,
      title: title
    }));
  });
}

var _default = Image;
exports.default = _default;