"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCssThemr = require("react-css-themr");

var _classnames = _interopRequireDefault(require("classnames"));

var _Wrapper = _interopRequireDefault(require("../Wrapper"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Hero(_ref) {
  var className = _ref.className,
      _ref$tag = _ref.tag,
      Component = _ref$tag === void 0 ? 'div' : _ref$tag,
      _ref$overlayColor = _ref.overlayColor,
      overlayColor = _ref$overlayColor === void 0 ? 'rgba(0, 0, 0, 0)' : _ref$overlayColor,
      image = _ref.image,
      poster = _ref.poster,
      videos = _ref.videos,
      theme = _ref.theme,
      children = _ref.children,
      rest = _objectWithoutProperties(_ref, ["className", "tag", "overlayColor", "image", "poster", "videos", "theme", "children"]);

  return _react.default.createElement(Component, _extends({}, rest, {
    "data-component": "Hero" // Use flex justify-center to make children always center
    // Use overflow-x-hidden to prevent video overflow x
    ,
    className: (0, _classnames.default)('relative overflow-hidden flex justify-center', className, theme.root)
  }), image && _react.default.createElement(_Wrapper.default, {
    className: "absolute absolute--fill z-0",
    image: image,
    theme: theme.background
  }), overlayColor && _react.default.createElement(_Wrapper.default, {
    className: "absolute absolute--fill z-1",
    overlayColor: overlayColor,
    theme: theme.background
  }), videos && _react.default.createElement("video", {
    className: (0, _classnames.default)('z-0 absolute', theme.video),
    playsInline: true,
    autoPlay: true,
    muted: true,
    loop: true,
    poster: poster
  }, videos.map(function (video) {
    return _react.default.createElement("source", {
      key: video.src,
      src: video.src,
      type: video.type || 'video/mp4'
    });
  })), _react.default.createElement("div", {
    className: (0, _classnames.default)('absolute absolute--fill z-0 z-2', theme.container)
  }, children));
}

var _default = (0, _reactCssThemr.themr)('Hero', {}, {
  composeTheme: 'softly'
})(Hero);

exports.default = _default;