"use strict";

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _react2 = require("@storybook/react");

var _index = _interopRequireDefault(require("./index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var theme = {
  root: 'w-100 aspect-ratio--1x1 aspect-ratio--4x3-m aspect-ratio--16x9-l',
  background: {
    root: 'cover'
  },
  container: 'flex items-center justify-center'
};
var withImageSrcProps = {
  tag: 'div',
  image: {
    src: 'https://source.unsplash.com/user/erondu/1600x900'
  },
  theme: theme
};
var withCloudinaryImageProps = {
  tag: 'div',
  image: {
    cloudinary: {
      username: 'alice28',
      id: 'sanh-don.jpg'
    }
  },
  theme: theme
};
var videos = [{
  src: 'http://res.cloudinary.com/doci3layd/video/upload/v1511512766/Movenpick_Resort_Ph%C3%BA_Qu%E1%BB%91c_-_0909939186_1_i70qio.mp4'
}];
var withFullWidthVideosProps = {
  tag: 'div',
  videos: videos,
  theme: _extends({}, theme, {
    root: 'w-100 bg-light-gray h4',
    video: 'w-100'
  })
};
var withFullHeightVideosProps = {
  tag: 'div',
  videos: videos,
  theme: _extends({}, theme, {
    root: 'w5 h5 bg-light-gray center',
    video: 'h-100'
  })
};
var wrapperClassName = 'mw5 mw6-m mw7-l center';

var childComponent = _react.default.createElement("div", {
  className: "white f3"
}, "Awesome Title goes here");

(0, _react2.storiesOf)('Hero', module).add('with image use src', function () {
  return _react.default.createElement("div", {
    className: wrapperClassName
  }, _react.default.createElement(_index.default, withImageSrcProps, childComponent));
}).add('with image use cloudinary', function () {
  return _react.default.createElement("div", {
    className: wrapperClassName
  }, _react.default.createElement(_index.default, withCloudinaryImageProps, childComponent));
}).add('with image use cloudinary & overlay', function () {
  return _react.default.createElement("div", {
    className: wrapperClassName
  }, _react.default.createElement(_index.default, _extends({}, withCloudinaryImageProps, {
    overlayColor: "rgba(0, 0, 0, 0.35)"
  }), childComponent));
}).add('with image use src & overlay', function () {
  return _react.default.createElement("div", {
    className: wrapperClassName
  }, _react.default.createElement(_index.default, _extends({}, withImageSrcProps, {
    overlayColor: "rgba(0, 0, 0, 0.35)"
  }), childComponent));
}).add('with video full height', function () {
  return _react.default.createElement("div", {
    className: (0, _classnames.default)(wrapperClassName)
  }, _react.default.createElement(_index.default, withFullHeightVideosProps, childComponent));
}).add('with video full width & overlay', function () {
  return _react.default.createElement("div", {
    className: wrapperClassName
  }, _react.default.createElement(_index.default, _extends({}, withFullWidthVideosProps, {
    overlayColor: "rgba(0, 0, 0, 0.75)"
  }), childComponent));
});