"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _cloudinary = require("./cloudinary");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Image(_ref) {
  var image = _ref.image,
      src = _ref.src,
      alt = _ref.alt,
      rest = _objectWithoutProperties(_ref, ["image", "src", "alt"]);

  if (!image) {
    return _react.default.createElement("img", _extends({}, rest, {
      alt: alt,
      src: src
    }));
  }

  var srcSet = (0, _cloudinary.makeSrcset)(image).map(function (item) {
    return "".concat(item.src, " ").concat(item.size, "w");
  }).join(', ');
  return _react.default.createElement("img", _extends({}, rest, {
    alt: alt,
    src: (0, _cloudinary.imageFromId)(image),
    srcSet: srcSet
  }));
}

var _default = Image;
exports.default = _default;