"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCssThemr = require("react-css-themr");

var _Image = _interopRequireDefault(require("../Image"));

var _lodash = _interopRequireDefault(require("lodash.omit"));

var _Background = _interopRequireDefault(require("../Background"));

var _InfoItem = _interopRequireDefault(require("../InfoItem"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function ImageItem(_ref) {
  var image = _ref.image,
      asBackground = _ref.asBackground,
      info = _ref.info,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme,
      props = _objectWithoutProperties(_ref, ["image", "asBackground", "info", "theme"]);

  return _react.default.createElement("div", _extends({}, props, {
    "data-component": "ImageItem",
    className: theme.root
  }), image && !asBackground && _react.default.createElement("div", {
    className: theme.imageWrapper
  }, _react.default.createElement(_Image.default, _extends({
    className: theme.image
  }, image))), image && asBackground && _react.default.createElement("div", {
    className: theme.imageWrapper
  }, _react.default.createElement(_Background.default, _extends({
    className: theme.image
  }, (0, _lodash.default)(image, ['steps'])))), _react.default.createElement("div", {
    className: theme.infoWrapper
  }, _react.default.createElement(_InfoItem.default, _extends({
    theme: theme.info
  }, info))));
}

var _default = (0, _reactCssThemr.themr)('ImageItem', {}, {
  composeTheme: 'softly'
})(ImageItem);

exports.default = _default;