"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var _reactModal = _interopRequireDefault(require("react-modal"));

var _redux = require("redux");

var _ = _interopRequireDefault(require("../.."));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Link = (0, _reactRedux.connect)()(_.default);

_reactModal.default.setAppElement('#root');

function reducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments.length > 1 ? arguments[1] : undefined;

  switch (action.type) {
    case 'open-modal':
      return _extends({}, state, {
        modal: action.payload
      });

    case 'close-modal':
      return _extends({}, state, {
        modal: undefined
      });

    default:
      return state;
  }
}

var MyModal = (0, _reactRedux.connect)(function (state) {
  return state;
})(function (props) {
  var modal = props.modal,
      dispatch = props.dispatch;
  return _react.default.createElement(_reactModal.default, {
    onRequestClose: function onRequestClose() {
      return dispatch({
        type: 'close-modal'
      });
    },
    isOpen: modal === props.name
  }, "This is ", props.name);
});
var store = (0, _redux.createStore)(reducer);
var modals = ['modal 01', 'modal 02'];

var LinkComponent = function LinkComponent() {
  return modals.map(function (name) {
    return _react.default.createElement(Link, {
      key: name,
      className: "mr2 pa2 ba b--light-gray dib pointer",
      action: {
        type: 'open-modal',
        payload: name
      }
    }, "Open ", name);
  });
};

function ActionLinkExample() {
  return _react.default.createElement(_reactRedux.Provider, {
    store: store
  }, _react.default.createElement("div", null, _react.default.createElement(LinkComponent, null), modals.map(function (name) {
    return _react.default.createElement(MyModal, {
      key: name,
      name: name
    });
  })));
}

var _default = ActionLinkExample;
exports.default = _default;