"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactCssThemr = require("react-css-themr");

var _Loader = _interopRequireDefault(require("../Loader"));

var _Map = _interopRequireDefault(require("./Map"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Map(_ref) {
  var className = _ref.className,
      markers = _ref.markers,
      center = _ref.center,
      source = _ref.source,
      options = _ref.options,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme,
      props = _objectWithoutProperties(_ref, ["className", "markers", "center", "source", "options", "theme"]);

  return _react.default.createElement("div", {
    "data-component": "Map",
    className: (0, _classnames.default)(className, theme.root)
  }, _react.default.createElement(_Map.default, _extends({}, props, {
    markers: markers,
    center: center,
    options: options,
    googleMapURL: source,
    loadingElement: _react.default.createElement(_Loader.default, {
      className: theme.loader
    }),
    containerElement: _react.default.createElement("div", {
      className: theme.container
    }),
    mapElement: _react.default.createElement("div", {
      className: theme.content
    })
  })));
}

var _default = (0, _reactCssThemr.themr)('Map', {}, {
  composeTheme: 'softly'
})(Map);

exports.default = _default;