"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactMotion = require("react-motion");

var _recompose = require("recompose");

var _reactCssThemr = require("react-css-themr");

var _lodash = _interopRequireDefault(require("lodash.throttle"));

var _reactEventListener = _interopRequireDefault(require("react-event-listener"));

var _Fragment = _interopRequireDefault(require("../Fragment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var Nav =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Nav, _React$Component);

  function Nav() {
    var _ref;

    var _temp, _this;

    _classCallCheck(this, Nav);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _possibleConstructorReturn(this, (_ref = Nav.__proto__ || Object.getPrototypeOf(Nav)).call.apply(_ref, [this].concat(args))), Object.defineProperty(_assertThisInitialized(_this), "previous", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: 0
    }), Object.defineProperty(_assertThisInitialized(_this), "onScroll", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function value() {
        var _this$props = _this.props,
            show = _this$props.show,
            hideOn = _this$props.hideOn,
            showOn = _this$props.showOn;

        if (hideOn) {
          // console.log({ show, hideOn, previous: this.previous }, window.scrollY)
          if (window.scrollY >= hideOn) {
            show(false);
          } else {
            show(true);
          }
        }

        if (showOn) {
          // console.log({ show, hideOn, previous: this.previous }, window.scrollY)
          if (window.scrollY >= showOn) {
            show(true);
          } else {
            show(false);
          }
        }

        _this.previous = window.scrollY;
      }
    }), _temp));
  }

  _createClass(Nav, [{
    key: "render",
    value: function render() {
      var _props = this.props,
          isShow = _props.isShow,
          animation = _props.animation,
          theme = _props.theme,
          children = _props.children;
      return _react.default.createElement(_Fragment.default, null, animation && _react.default.createElement(_reactMotion.Motion, {
        defaultStyle: {
          top: -110
        },
        style: {
          top: isShow ? (0, _reactMotion.spring)(0) : (0, _reactMotion.spring)(-110)
        }
      }, function (style) {
        return _react.default.createElement("div", {
          "data-component": "Nav",
          className: theme.root,
          style: {
            transform: "translateY(".concat(style.top, "px)")
          }
        }, children);
      }), !animation && isShow && _react.default.createElement("div", {
        "data-component": "Nav",
        className: theme.root
      }, children), _react.default.createElement(_reactEventListener.default, {
        target: "window",
        onScroll: (0, _lodash.default)(this.onScroll, 100)
      }));
    }
  }]);

  return Nav;
}(_react.default.Component);

Object.defineProperty(Nav, "defaultProps", {
  configurable: true,
  enumerable: true,
  writable: true,
  value: {
    showOnStart: true,
    animation: true
  }
});

var _default = (0, _recompose.compose)((0, _reactCssThemr.themr)('Nav', {}, {
  composeTheme: 'softly'
}), (0, _recompose.withState)('isShow', 'show', function (_ref2) {
  var _ref2$showOnStart = _ref2.showOnStart,
      showOnStart = _ref2$showOnStart === void 0 ? true : _ref2$showOnStart;
  return showOnStart;
}))(Nav);

exports.default = _default;