"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = _interopRequireDefault(require("uppy/lib/core"));

var _Tus = _interopRequireDefault(require("uppy/lib/plugins/Tus"));

var _react2 = require("uppy/lib/react");

var _Icon = _interopRequireDefault(require("../Icon"));

var _reactCssThemr = require("react-css-themr");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var UploadModal =
/*#__PURE__*/
function (_React$Component) {
  _inherits(UploadModal, _React$Component);

  function UploadModal() {
    var _ref;

    var _temp, _this;

    _classCallCheck(this, UploadModal);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _possibleConstructorReturn(this, (_ref = UploadModal.__proto__ || Object.getPrototypeOf(UploadModal)).call.apply(_ref, [this].concat(args))), Object.defineProperty(_assertThisInitialized(_this), "state", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: {
        modalOpen: false,
        files: []
      }
    }), Object.defineProperty(_assertThisInitialized(_this), "handleOpen", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function value() {
        _this.setState({
          modalOpen: true
        });
      }
    }), Object.defineProperty(_assertThisInitialized(_this), "handleClose", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function value() {
        _this.setState({
          modalOpen: false
        });
      }
    }), _temp));
  }

  _createClass(UploadModal, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      var _this2 = this;

      var _props = this.props,
          endpoint = _props.endpoint,
          onChange = _props.onChange;
      this.uppy = new _core.default({
        autoProceed: false
      }).use(_Tus.default, {
        endpoint: endpoint
      }).run();
      this.uppy.on('complete', function (result) {
        var files = _toConsumableArray(_this2.state.files).concat(_toConsumableArray(result.successful));

        _this2.setState({
          files: files
        }, function () {
          return onChange(_this2.state.files);
        });
      });
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.uppy.close();
    }
  }, {
    key: "render",
    value: function render() {
      var _props2 = this.props,
          children = _props2.children,
          Button = _props2.buttonTag,
          openText = _props2.openText,
          closeText = _props2.closeText,
          openIcon = _props2.openIcon,
          closeIcon = _props2.closeIcon,
          theme = _props2.theme,
          className = _props2.className,
          rest = _objectWithoutProperties(_props2, ["children", "buttonTag", "openText", "closeText", "openIcon", "closeIcon", "theme", "className"]);

      return _react.default.createElement("div", _extends({
        className: (0, _classnames.default)(className, theme.root)
      }, rest), _react.default.createElement(Button, {
        className: theme.button,
        onClick: this.handleOpen
      }, this.state.modalOpen ? closeIcon && _react.default.createElement(_Icon.default, {
        className: theme.buttonIcon,
        icon: closeIcon
      }) : openIcon && _react.default.createElement(_Icon.default, {
        className: theme.buttonIcon,
        icon: openIcon
      }), _react.default.createElement("span", {
        className: theme.buttonText
      }, this.state.modalOpen ? closeText : openText)), _react.default.createElement(_react2.DashboardModal, {
        uppy: this.uppy,
        closeModalOnClickOutside: true,
        open: this.state.modalOpen,
        onRequestClose: this.handleClose
      }));
    }
  }]);

  return UploadModal;
}(_react.default.Component);

Object.defineProperty(UploadModal, "defaultProps", {
  configurable: true,
  enumerable: true,
  writable: true,
  value: {
    buttonTag: 'a',
    openText: 'Open',
    closeText: 'Close'
  }
});

var _default = (0, _reactCssThemr.themr)('UploadModal', {}, {
  composeTheme: 'softly'
})(UploadModal);

exports.default = _default;