"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Video = _interopRequireDefault(require("../Video"));

var _InfoItem = _interopRequireDefault(require("../InfoItem"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function VideoItem(_ref) {
  var iframe = _ref.iframe,
      embed = _ref.embed,
      video = _ref.video,
      title = _ref.title,
      subtitle = _ref.subtitle,
      description = _ref.description,
      iconItems = _ref.iconItems,
      keyValueItems = _ref.keyValueItems,
      actions = _ref.actions,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme;
  return _react.default.createElement("div", {
    "data-component": "VideoItem",
    className: theme.root
  }, _react.default.createElement("div", {
    className: theme.videoWrapper
  }, iframe && _react.default.createElement("iframe", {
    className: theme.video,
    src: iframe
  }), embed && _react.default.createElement("embed", {
    className: theme.video,
    src: embed
  }), video && _react.default.createElement(_Video.default, _extends({
    className: theme.video
  }, video))), _react.default.createElement("div", {
    className: theme.infoItemWrapper
  }, _react.default.createElement(_InfoItem.default, {
    title: title,
    subtitle: subtitle,
    description: description,
    iconItems: iconItems,
    keyValueItems: keyValueItems,
    actions: actions,
    theme: theme.infoItem
  })));
}

var _default = VideoItem;
exports.default = _default;