"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactSizeme = _interopRequireDefault(require("react-sizeme"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactProgressiveImage = _interopRequireDefault(require("react-progressive-image"));

var _getImageLink = _interopRequireDefault(require("../../helpers/getImageLink"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function getBackground(overlayColor, imageSource) {
  if (!imageSource) {
    return "linear-gradient(".concat(overlayColor, ", ").concat(overlayColor, ")");
  }

  return "linear-gradient(".concat(overlayColor, ", ").concat(overlayColor, "), url(").concat(imageSource, ")");
}

function Wrapper(_ref) {
  var className = _ref.className,
      size = _ref.size,
      autoScale = _ref.autoScale,
      image = _ref.image,
      _ref$overlayColor = _ref.overlayColor,
      overlayColor = _ref$overlayColor === void 0 ? 'rgba(0, 0, 0, 0)' : _ref$overlayColor,
      _ref$tag = _ref.tag,
      Component = _ref$tag === void 0 ? 'div' : _ref$tag,
      alt = _ref.alt,
      children = _ref.children,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme,
      props = _objectWithoutProperties(_ref, ["className", "size", "autoScale", "image", "overlayColor", "tag", "alt", "children", "theme"]);

  var source = (0, _getImageLink.default)(_extends({}, image, {
    boxSize: size,
    autoScale: autoScale,
    usePlaceholder: false
  }));

  if (typeof source === 'string') {
    var backgroundImage = getBackground(overlayColor, source);
    return _react.default.createElement(Component, _extends({}, props, {
      className: (0, _classnames.default)(className, theme.root),
      style: {
        backgroundImage: backgroundImage
      }
    }), alt && _react.default.createElement("img", {
      src: source,
      alt: alt,
      style: {
        display: 'none'
      }
    }), children);
  }

  var thumbnail = source.thumbnail,
      large = source.large;
  return _react.default.createElement(_reactProgressiveImage.default, {
    src: large,
    placeholder: thumbnail
  }, function (imageSource) {
    var backgroundImage = getBackground(overlayColor, imageSource);
    return _react.default.createElement(Component, _extends({}, props, {
      className: (0, _classnames.default)(className, theme.root),
      style: {
        backgroundImage: backgroundImage
      }
    }), alt && _react.default.createElement("img", {
      src: large,
      alt: alt,
      style: {
        display: 'none'
      }
    }), children);
  });
}

var _default = (0, _reactSizeme.default)({
  refreshMode: 'debounce',
  refreshRate: 16,
  monitorHeight: true,
  monitorWidth: true,
  enableSSRBehaviour: true
})(Wrapper);

exports.default = _default;