"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getCloudinaryLink = _interopRequireDefault(require("./getCloudinaryLink"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// const regexThubmor = /^(((http|https):)?(\/\/img.connected.com.vn\/image\/([^:()]+)?)(([a-zA-Z0-9]{32})([^?]+)))/i
var regexCloudinary = /^(((http|https):)?(\/\/)(res.cloudinary.com)\/([\w-.]+)\/image\/upload\/(([\w,]+)\/)?([\S]+))$/i;

function getCustomImageLink(_ref) {
  var _ref$src = _ref.src,
      src = _ref$src === void 0 ? '' : _ref$src,
      boxSize = _ref.boxSize,
      autoScale = _ref.autoScale;

  if (src && src.match(regexCloudinary)) {
    var matchArr = src.match(regexCloudinary);
    var cloudinary = {
      username: matchArr && matchArr[6] || '',
      id: matchArr && matchArr[9] || ''
    };
    return {
      thumbnail: (0, _getCloudinaryLink.default)(_extends({}, cloudinary, {
        boxSize: boxSize,
        useMinimum: true,
        autoScale: autoScale
      })),
      large: (0, _getCloudinaryLink.default)(_extends({}, cloudinary, {
        boxSize: boxSize,
        useMinimum: false,
        autoScale: autoScale
      }))
    };
  }

  return src;
}

var _default = getCustomImageLink;
exports.default = _default;