"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getYoutubeVideos = exports.youtubeIdParser = void 0;

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var youtubeIdParser = function youtubeIdParser(url) {
  if (!url) return null;
  var regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#&?]*).*/;
  var match = url.match(regExp);
  return match && match[7].length === 11 ? match[7] : null;
};

exports.youtubeIdParser = youtubeIdParser;

var getYoutubeVideos = function getYoutubeVideos(url) {
  var ytLink = youtubeIdParser(url);
  if (!ytLink) return Promise.resolve(null);
  var ytEndpoint = "//localhost:8008/oembed?format=json&url=https://www.youtube.com/watch?v=".concat(ytLink);
  return _axios.default.get(ytEndpoint).then(function (response) {
    var _ref = response || {},
        data = _ref.data;

    return data;
  }).catch(function () {
    return null;
  });
};

exports.getYoutubeVideos = getYoutubeVideos;