"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = reducer;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/*
 * App reducer, use to keep state for modal, drawer, if
 */
var initialState = {
  modal: {},
  // Keep modal state
  drawer: {},
  // Keep drawer state
  if: {} // Keep if state

};

function reducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 ? arguments[1] : undefined;

  switch (action.type) {
    case 'open-modal':
      return _extends({}, state, {
        modal: _defineProperty({}, action.payload, true)
      });

    case 'close-modal':
      return _extends({}, state, {
        modal: _defineProperty({}, action.payload, false)
      });

    case 'toggle-modal':
      return _extends({}, state, {
        modal: _defineProperty({}, action.payload, !state.modal[action.payload])
      });

    case 'open-drawer':
      return _extends({}, state, {
        drawer: _defineProperty({}, action.payload, true)
      });

    case 'close-drawer':
      return _extends({}, state, {
        drawer: _defineProperty({}, action.payload, false)
      });

    case 'toggle-drawer':
      return _extends({}, state, {
        drawer: _defineProperty({}, action.payload, !state.drawer[action.payload])
      });

    case 'open-if':
      return _extends({}, state, {
        if: _defineProperty({}, action.payload, true)
      });

    case 'close-if':
      return _extends({}, state, {
        if: _defineProperty({}, action.payload, false)
      });

    case 'toggle-if':
      return _extends({}, state, {
        if: _defineProperty({}, action.payload, !state.if[action.payload])
      });

    default:
      return state;
  }
}