"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _redux = require("redux");

/* eslint-disable global-require */
var composeEnhancers = typeof window !== 'undefined' && window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || _redux.compose;

var configureStore = function configureStore(_ref) {
  var reducer = _ref.reducer,
      initialState = _ref.initialState;
  var store = (0, _redux.createStore)(reducer, initialState, composeEnhancers((0, _redux.applyMiddleware)()));

  if (module.hot) {
    // Enable Webpack hot module replacement for reducers
    module.hot.accept('./reducer', function () {
      var nextRootReducer = require("./reducer").default;

      store.replaceReducer(nextRootReducer);
    });
  }

  return store;
};

var _default = configureStore;
exports.default = _default;