// @flow

import React from 'react'
import cn from 'classnames'
import { imageFromId } from '../Image/cloudinary'

export type BackgroundProps = {
  image?: {
    public_id: string,
    cloud?: string,
    transform?: string,
  },
  src?: string,
  className?: string,
  children?: *,
}

function Background({ image, src, className, children }: BackgroundProps) {
  const finalSrc = image ? imageFromId(image) : src
  if (!finalSrc) throw new Error('Background required image or src')
  return (
    <div className={cn('bg', className)}>
      <style jsx>{`
       .bg { background-image: url(${finalSrc}); }
      `}
      </style>
      {children}
    </div>
  )
}

export default Background
