// @flow

import React from 'react'
import ReactMarkdown from 'react-markdown'

function Content({
  content,
  className,
}: {
  content: {
    md: string,
    html: string,
  },
  className?: string,
}) {
  if (!content) return null
  const { html, md } = content
  if (html) {
    return (
      <div
        data-component="Html"
        className={className}
        dangerouslySetInnerHTML={{ __html: html }}
      />
    )
  }
  return (
    <div data-component="Markdown" className={className}>
      <ReactMarkdown source={md || ''} />
    </div>
  )
}

Content.defaultProps = {
  className: '',
}

export default Content
