// @flow

import React from 'react'
// import logException from 'helpers/logException'

class ErrorBoundary extends React.PureComponent<any, any> {
  state: any;
  constructor(props: any) {
    super(props)
    this.state = { errorInfo: null }
  }

  componentDidCatch(error: any, errorInfo: any) {
    this.setState({
      errorInfo,
    }, () => {
      console.error(errorInfo)
    })
    // logException(error)
  }

  render() {
    if (this.state.errorInfo) {
      // Error path
      return (
        <div>
          <h2>Error...</h2>
          <div style={{ whiteSpace: 'pre-wrap' }}>
            This is the errors
            {/* <detail>{this.state.error}</detail> */}
          </div>
        </div>
      )
    }
    // Normally, just render children
    return this.props.children
  }
}

export default ErrorBoundary
