/* eslint-disable camelcase */

// @flow

import React from 'react'
import { makeSrcset, imageFromId } from './cloudinary'

export type ImageProps = {
  image?: {
    public_id: string,
    cloud?: string,
    steps?: { vw: number, w: number }[],
    transform?: string,
  },
  src?: string,
  alt?: string,
}

function Image({ image, src, alt, ...rest }: ImageProps) {
  if (!image) {
    return <img {...rest} alt={alt} src={src} />
  }
  const srcSet = makeSrcset(image)
    .map(item => `${item.src} ${item.size}w`)
    .join(', ')
  return <img {...rest} alt={alt} src={imageFromId(image)} srcSet={srcSet} />
}

export default Image
