/* eslint-disable camelcase */

// @flow

import React from 'react'
import { mount } from 'enzyme'
import ImageItem from '../'
import { setCloudinaryUsername } from '../../../config'

const cloud = 'alice28'
const public_id = 'css-code_t7qmyu.jpg'

const image = {
  image: {
    public_id,
    transform: 'q_80,w_500',
  },
}

const info = {
  title: 'hello',
}

describe('', () => {
  setCloudinaryUsername(cloud)
  it('use image', () => {
    const src = '//res.cloudinary.com/alice28/image/upload/q_80,w_500/css-code_t7qmyu.jpg'
    const wrapper = mount(
      <ImageItem image={image} info={info} />,
    )
    const imgComponent = wrapper.find('img')
    expect(imgComponent.props().src).toEqual(src)
  })
  it('use background', () => {
    const wrapper = mount(
      <ImageItem image={image} info={info} asBackground />,
    )
    const bgComponent = wrapper.find('div.bg')
    expect(bgComponent.props().className).toMatch(/jsx/)
    expect(bgComponent.props().className).toMatch(/bg/)
  })
})
