// @flow

import React from 'react'
import { compose } from 'recompose'
import {
  withScriptjs,
  withGoogleMap,
  GoogleMap,
  Marker,
} from 'react-google-maps'

const Map = compose(withScriptjs, withGoogleMap)(
  ({
    markers,
    center,
    options: { zoom = 12 } = {},
  }: {
    markers?: TCoords[],
    center: TCoords,
    options?: {
      zoom?: number,
    },
  }) => (
    <GoogleMap defaultZoom={zoom} defaultCenter={center}>
      {markers &&
        markers.map((marker, idx) => (
          <Marker key={idx} position={marker} defaultAnimation={2} />
        ))}
    </GoogleMap>
  ),
)

export default Map
