// @flow

import React from 'react'
import { connect } from 'react-redux'
import BaseModal from 'react-modal'
import dopProp from 'dot-prop-immutable'

type Props = {
  name: string,
  isOpened: boolean,
  dispatch: Function,
  children: any,
}

const Modal = (props: Props) => {
  const { name, isOpened, dispatch, children } = props
  return (
    <BaseModal
      onRequestClose={() => dispatch({ type: 'close-modal', name })}
      isOpen={isOpened}
      style={{
        overlay: {
          zIndex: 2,
        },
      }}
    >
      {children}
    </BaseModal>
  )
}

export default connect((state, { name }) => {
  const isOpened = dopProp.get(state, ['app', 'modal', name])
  return {
    isOpened,
  }
})(Modal)
