// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import Nav from './'

storiesOf('Nav', module)
  .add('Use Source', () => (
    <div>
      <Nav theme={{ root: 'bg-black-50 h3 white flex items-center pa2' }}>
        This is Nav content
      </Nav>
      <div className="vh-100 bg-light-gray"> This is the long content</div>
      <div className="vh-100 bg-near-white"> This is another long content</div>
    </div>
  ))
  .add('Hide when scroll down 200', () => (
    <div>
      <Nav
        hideOn={200}
        theme={{ root: 'fixed w-100 bg-black-50 h3 white flex items-center pa2' }}
      >
        This Nav will be hide when scroll to 200
      </Nav>
      <Nav
        showOn={300}
        animation={false}
        showOnInit={false}
        theme={{ root: 'fixed w-100 bg-white-50 h3 dark-gray flex items-center pa2' }}
      >
        This Nav will be show when scroll to 300
      </Nav>
      <div className="vh-100 bg-light-gray"> This is the long content</div>
      <div className="vh-100 bg-near-white"> This is another long content</div>
    </div>
  ))
