// @flow

import React from 'react'
import Section, { type SectionProps } from '../Section'

export type SectionsData = {
  type: string,
  data: *,
  section: SectionProps,
  theme: *,
}

export type SectionsProps = {
  sections: SectionsData[],
  components: { [key: string]: * },
}

function Sections({ sections, components }: SectionsProps) {
  return sections.map(({ type, data, section, theme }) => {
    const Component = components[type]
    return (
      <Section {...section} theme={theme.section || {}}>
        <Component {...data} theme={theme} />
      </Section>
    )
  })
}

export default Sections
