// @flow

import React from 'react'
import { mount } from 'enzyme'
import SocialToolbar from '../index'

const url = '__url__'

const text = '__text__'

const items = {
  email: true,
  facebook: true,
  twitter: true,
  xing: true,
}

const el = <SocialToolbar text={text} url={url} items={items} />

describe('SocialToolbar', () => {
  it('have render', () => {
    const wrapper = mount(el)
    expect(wrapper.find('[data-component="SocialToolbar"]').length).toEqual(1)
  })
  it('check url', () => {
    const wrapper = mount(el)
    wrapper.find('[data-component="SocialToolbar"] a').forEach((a) => {
      expect(a.props().href).toMatch(url)
    })
  })
  it('check text', () => {
    const wrapper = mount(el)
    expect(wrapper.find('[data-component="SocialToolbar"] a').length).toEqual(
      Object.keys(items).length,
    )
  })
})
