// @flow

import getCloudinaryLink from '../getCloudinaryLink'

const username = 'nhavungtau'
const id = 'guagv33k6vxfvm8balwg'

describe('get cloudinary link', () => {
  it('get link without autoscale', () => {
    const boxSize = { width: 444, height: 444 }
    const imageLink = getCloudinaryLink({
      username,
      id,
      boxSize,
      autoScale: false,
    })
    expect(imageLink).toEqual(
      'https://res.cloudinary.com/nhavungtau/image/upload/guagv33k6vxfvm8balwg',
    )
  })

  it('get link with autoscale, width > height', () => {
    const boxSize = { width: 320, height: 200 }
    const imageLink = getCloudinaryLink({
      username,
      id,
      boxSize,
    })
    expect(imageLink).toEqual(
      'https://res.cloudinary.com/nhavungtau/image/upload/c_scale,q_auto,w_400/guagv33k6vxfvm8balwg',
    )
  })

  it('get link with autoscale, height > width', () => {
    const boxSize = { width: 320, height: 350 }
    const imageLink = getCloudinaryLink({
      username,
      id,
      boxSize,
    })
    expect(imageLink).toEqual(
      'https://res.cloudinary.com/nhavungtau/image/upload/c_scale,q_auto,h_400/guagv33k6vxfvm8balwg',
    )
  })
})
