// @flow
import getCloudinaryLink from './getCloudinaryLink'

type TImageLink = string | { thumbnail: string, large: string }

// const regexThubmor = /^(((http|https):)?(\/\/img.connected.com.vn\/image\/([^:()]+)?)(([a-zA-Z0-9]{32})([^?]+)))/i
const regexCloudinary = /^(((http|https):)?(\/\/)(res.cloudinary.com)\/([\w-.]+)\/image\/upload\/(([\w,]+)\/)?([\S]+))$/i

function getCustomImageLink({
  src = '',
  boxSize,
  autoScale,
}: TImageData): TImageLink {
  if (src && src.match(regexCloudinary)) {
    const matchArr = src.match(regexCloudinary)
    const cloudinary = {
      username: (matchArr && matchArr[6]) || '',
      id: (matchArr && matchArr[9]) || '',
    }
    return {
      thumbnail: getCloudinaryLink({
        ...cloudinary,
        boxSize,
        useMinimum: true,
        autoScale,
      }),
      large: getCloudinaryLink({
        ...cloudinary,
        boxSize,
        useMinimum: false,
        autoScale,
      }),
    }
  }
  return src
}

export default getCustomImageLink
