// @flow

import axios from 'axios'

export const youtubeIdParser = (url: string): string | null => {
  if (!url) return null
  const regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#&?]*).*/
  const match = url.match(regExp)
  return match && match[7].length === 11 ? match[7] : null
}

export const getYoutubeVideos = (url: string): Promise<any> => {
  const ytLink = youtubeIdParser(url)
  if (!ytLink) return Promise.resolve(null)
  const ytEndpoint = `//localhost:8008/oembed?format=json&url=https://www.youtube.com/watch?v=${ytLink}`
  return axios
    .get(ytEndpoint)
    .then((response) => {
      const { data } = response || {}
      return data
    })
    .catch(() => null)
}
