/*
 * App reducer, use to keep state for modal, drawer, if
 */

const initialState = {
  modal: {}, // Keep modal state
  drawer: {}, // Keep drawer state
  if: {}, // Keep if state
}

export default function reducer(state = initialState, action) {
  switch (action.type) {
    case 'open-modal':
      return {
        ...state,
        modal: {
          [action.payload]: true,
        },
      }
    case 'close-modal':
      return {
        ...state,
        modal: {
          [action.payload]: false,
        },
      }
    case 'toggle-modal':
      return {
        ...state,
        modal: {
          [action.payload]: !state.modal[action.payload],
        },
      }

    case 'open-drawer':
      return {
        ...state,
        drawer: {
          [action.payload]: true,
        },
      }
    case 'close-drawer':
      return {
        ...state,
        drawer: {
          [action.payload]: false,
        },
      }
    case 'toggle-drawer':
      return {
        ...state,
        drawer: {
          [action.payload]: !state.drawer[action.payload],
        },
      }

    case 'open-if':
      return {
        ...state,
        if: {
          [action.payload]: true,
        },
      }
    case 'close-if':
      return {
        ...state,
        if: {
          [action.payload]: false,
        },
      }
    case 'toggle-if':
      return {
        ...state,
        if: {
          [action.payload]: !state.if[action.payload],
        },
      }
    default:
      return state
  }
}
